{ mkDerivation, aeson, base, bytestring, containers, exceptions
, filepath, hashable, hashids, hedgehog, hedgehog-corpus, lens, mtl
, optparse-applicative, stdenv, tasty, tasty-hedgehog, tasty-hunit
, text, transformers, unliftio, vector, yaml
}:
mkDerivation {
  pname = "buuka";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    aeson base bytestring containers exceptions filepath hashable
    hashids lens mtl text transformers unliftio vector yaml
  ];
  executableHaskellDepends = [ base optparse-applicative unliftio ];
  testHaskellDepends = [
    aeson base hedgehog hedgehog-corpus tasty tasty-hedgehog
    tasty-hunit text
  ];
  license = stdenv.lib.licenses.bsd3;
}
